Bug 26510 - Transport Cost Matrix editor doesn't show all data when HoldsQueueSkipClosed is enabled
Summary: Transport Cost Matrix editor doesn't show all data when HoldsQueueSkipClosed ...
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 12803
Blocks:
  Show dependency treegraph
 
Reported: 2020-09-22 18:00 UTC by Kyle M Hall
Modified: 2020-10-21 00:19 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Manual merge request:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.05, 19.11.11, 19.05.16


Attachments
Bug 26510 - Transport Cost Matrix editor doesn't show all data when HoldsQueueSkipClosed is enabled (2.58 KB, patch)
2020-09-22 18:12 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 26510 - Transport Cost Matrix editor doesn't show all data when HoldsQueueSkipClosed is enabled (2.62 KB, patch)
2020-09-24 15:59 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 26510: Transport Cost Matrix editor doesn't show all data when HoldsQueueSkipClosed is enabled (2.67 KB, patch)
2020-09-24 18:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-09-22 18:00:50 UTC
If HoldsQueueSkipClosed is enabled, and a library happens to be closed on the day you edit the transport cost matrix, all the values for that library will not show. Instead they will appear disabled, and if you were to edit the cell and save a new value in it, it will also 'disappear' when the page is reloaded.
Comment 1 Kyle M Hall 2020-09-22 18:06:21 UTC
Screencast of bug and patch: https://www.youtube.com/watch?v=SPU9ge4l-24&feature=youtu.be
Comment 2 Kyle M Hall 2020-09-22 18:12:46 UTC
Created attachment 110566 [details] [review]
Bug 26510 - Transport Cost Matrix editor doesn't show all data when HoldsQueueSkipClosed is enabled

If HoldsQueueSkipClosed is enabled, and a library happens to be closed
on the day you edit the transport cost matrix, all the values for that
library will not show. Instead they will appear disabled, and if you
were to edit the cell and save a new value in it, it will also
'disappear' when the page is reloaded.

Test Plan:
1) Set today as a holiday for a library
2) Set HoldsQueueSkipClosed to 'open'
3) Go to the transport cost matrix editor
4) Edit a cell where the 'from' is for the closed library
5) Note the value doesn't 'save', it is still in the database though
6) Apply this patch
7) Restart all the things!
8) Reload the transport cost matrix editor
9) The value now appears correctly!
Comment 3 ByWater Sandboxes 2020-09-24 15:59:06 UTC
Created attachment 110672 [details] [review]
Bug 26510 - Transport Cost Matrix editor doesn't show all data when HoldsQueueSkipClosed is enabled

If HoldsQueueSkipClosed is enabled, and a library happens to be closed
on the day you edit the transport cost matrix, all the values for that
library will not show. Instead they will appear disabled, and if you
were to edit the cell and save a new value in it, it will also
'disappear' when the page is reloaded.

Test Plan:
1) Set today as a holiday for a library
2) Set HoldsQueueSkipClosed to 'open'
3) Go to the transport cost matrix editor
4) Edit a cell where the 'from' is for the closed library
5) Note the value doesn't 'save', it is still in the database though
6) Apply this patch
7) Restart all the things!
8) Reload the transport cost matrix editor
9) The value now appears correctly!

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>
Comment 4 Katrin Fischer 2020-09-24 18:53:37 UTC
Can we please have a regression test here, please?
Comment 5 Katrin Fischer 2020-09-24 18:59:41 UTC
Created attachment 110698 [details] [review]
Bug 26510: Transport Cost Matrix editor doesn't show all data when HoldsQueueSkipClosed is enabled

If HoldsQueueSkipClosed is enabled, and a library happens to be closed
on the day you edit the transport cost matrix, all the values for that
library will not show. Instead they will appear disabled, and if you
were to edit the cell and save a new value in it, it will also
'disappear' when the page is reloaded.

Test Plan:
1) Set today as a holiday for a library
2) Set HoldsQueueSkipClosed to 'open'
3) Go to the transport cost matrix editor
4) Edit a cell where the 'from' is for the closed library
5) Note the value doesn't 'save', it is still in the database though
6) Apply this patch
7) Restart all the things!
8) Reload the transport cost matrix editor
9) The value now appears correctly!

Signed-off-by: Lisette Scheer <lisetteslatah@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Katrin Fischer 2020-09-24 19:00:50 UTC
(In reply to Katrin Fischer from comment #4)
> Can we please have a regression test here, please?

I changed my mind as this is a major bug and PQA on it, but please consider writing the tests.
Comment 7 Jonathan Druart 2020-09-28 09:11:00 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-10-16 16:34:47 UTC
backported to 20.05.x for 20.05.05
Comment 9 Aleisha Amohia 2020-10-20 02:06:30 UTC
backported to 19.11.x for 19.11.11
Comment 10 Victor Grousset/tuxayo 2020-10-21 00:19:23 UTC
Backported to 19.05.x branch for 19.05.16